/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.fel.pjv.cv5;

/**
 *
 * @author martin
 */
public class Contact {
    private String name;
    private String surname;
    private int phone;
    private String address;

    public Contact(String name, String surname, int phone, String address) throws PhoneNumberException, NameFormatException {
        setName(name);
        setSurname(surname);
        setPhone(phone);
        this.address = address;
    }

    public String getName() {
        return name;
    }

    public String getSurname() {
        return surname;
    }

    public int getPhone() {
        return phone;
    }

    public String getAddress() {
        return address;
    }

    @Override
    public String toString() {
        return "C: "+ name + "," + surname + "," + phone + "," + address;
    }

    public void setPhone(int phone) throws PhoneNumberException {
        if (phone<999 || phone>9999) throw new PhoneNumberException(phone);
        this.phone = phone;
    }

    public void setName(String name) throws NameFormatException {
        if (name.length()<2) throw new NameFormatException("Wrong name");
        this.name = name;
    }

    public void setSurname(String surname) throws NameFormatException {
        if (surname.length()<2) throw new NameFormatException("Wrong surname");
        this.surname = surname;
    }
    // napad, efektivnejsi by bylo vratit true/false
    public static void checkPhone(int phone) throws PhoneNumberException {
        if (phone<999 || phone>9999) throw new PhoneNumberException(phone);       
    }

    
}
